clc;clear all

load('./MSD/RMSEx_MSD_Sub.mat'); % RMSEx_MSD
meanRMSEx_MSD1=mean(RMSEx_MSD_Sub);
stRMSEx_MSD1=std(RMSEx_MSD_Sub);
load('./MLE/RMSEx_MLE_Sub.mat'); % RMSEx_MLE
meanRMSEx_MLE1=mean(RMSEx_MLE_Sub);
stRMSEx_MLE1=std(RMSEx_MLE_Sub);
load('./SMC/RMSEx_SMC_Sub.mat'); % RMSEx_SMC
meanRMSEx_SMC1=mean(RMSEx_SMC_Sub');
stRMSEx_SMC1=std(RMSEx_SMC_Sub');
load('./UEM/RMSEx_UEM_Sub.mat'); % RMSEx_UEM
meanRMSEx_UEM1=mean(RMSEx_UEM_Sub);
stRMSEx_UEM1=std(RMSEx_UEM_Sub);

figure

load('x_all.mat');
% MSD
h1=loglog(x_all, meanRMSEx_MSD1,'-*');
h1.Color='g'; h1.LineWidth=1;
hold on

% SMC
h3=loglog(x_all, meanRMSEx_SMC1,'-*');
h3.Color='c'; h3.LineWidth=1;
hold on
% UEM
h4=loglog(x_all, meanRMSEx_UEM1,'-*');
h4.Color='b'; h4.LineWidth=1;
grid on

h5=refline(0,0.27);
h5.Color='r'; h4.LineWidth=1;
h5.LineStyle='--';
h5=refline(0,0.27);
h5.Color='r'; h4.LineWidth=1;
h5.LineStyle='--';
grid on
% add error bar
errorbar(x_all,meanRMSEx_MSD1,stRMSEx_MSD1,'g+'); hold on
errorbar(x_all,meanRMSEx_SMC1,stRMSEx_SMC1,'c+'); hold on
errorbar(x_all,meanRMSEx_UEM1,stRMSEx_UEM1,'b+'); hold on
xlim([0.001 10]);
xlabel('real $D_x$ [$\mu m^2/s$]','FontSize',32,'Interpreter','latex');
xticks([0.001,0.01,0.1,1,10]);
xticklabels({'0.001','0.01','0.1','1','10'});
ylabel('Log$_{10}$(mean RMSEx) [$\mu m$]','FontSize',32,'Interpreter','latex');
legend({'GF-MSD/MLE','SMC$^{500}$','U-EM','Rayleigh'},'Interpreter','latex');
set(gca,'FontSize',24,'TickLabelInterpreter','latex');
ylim([0.001,250]);
hAx=gca;
hAx.XScale='log';
hAx.YScale='log';
