clc
clear all

% take no motion blur as an example
cd noSub/

load('GT/N10G100D0.01_noSub/x_ground_truth.mat');
y=[0.93,0.69,0.13]; % orange yellow
plot(x_ground_truth(1,:),'k--','LineWidth',2); 
hold on
load('GF_MLE_D0.01/est_x_all.mat');
plot(est_x_all(1,:),'g--','LineWidth',1.5)
hold on
load('SMC/D0.01Par100/est_x_Trial1.mat');
f=plot(est_x,'--','LineWidth',2); f.Color=y;
hold on
load('SMC/D0.01Par500/est_x_Trial1.mat');
plot(est_x,'c--','LineWidth',1.5)
hold on
load('SMC/D0.01Par1500/est_x_Trial1.mat');
plot(est_x,'r--','LineWidth',1.5)
hold on
load('UEM/anscombe_UEM_D0.01/uks_est_x_all.mat'); % latest version
plot(uks_est_x_all(1,2:101),'b--','LineWidth',1);

xlabel('No. Time steps', 'Interpreter', 'latex', 'FontSize', 22);
ylabel('x position ($\mu m$)', 'Interpreter', 'latex', 'FontSize', 22);
L=legend('Ground Truth','GF','SMC$^{100}$','SMC$^{500}$','SMC$^{1500}$','UEM','Interpreter','latex', 'FontSize', 12);
L.FontSize=18;
set(gca,'FontSize',24,'TickLabelInterpreter','latex');
