clc;clear all

load('./MSD/Dx_MSD_noSub.mat'); % Dx_MSD
meanDx_MSD1=mean(Dx_MSD_noSub);
stdx_MSD1=std(Dx_MSD_noSub);
load('./MLE/Dx_MLE_noSub.mat'); % Dx_MLE
meanDx_MLE1=mean(Dx_MLE_noSub);
stdx_MLE1=std(Dx_MLE_noSub);
load('./SMC/Dx_SMC_noSub.mat'); % Dx_SMC
meanDx_SMC1=mean(Dx_SMC_noSub');
stdx_SMC1=std(Dx_SMC_noSub');
load('./UEM/Dx_UEM_noSub.mat'); % Dx_UEM
meanDx_UEM1=mean(Dx_UEM_noSub);
stdx_UEM1=std(Dx_UEM_noSub);


figure
load('x_all.mat');

% MSD
h1=loglog(x_all, meanDx_MSD1,'-*');
h1.Color='g'; h1.LineWidth=1;
hold on
% MLE
h2=loglog(x_all, meanDx_MLE1,'-*');
h2.Color='r'; h2.LineWidth=1;
hold on
% SMC
h3=loglog(x_all, meanDx_SMC1,'-*');
h3.Color='c'; h3.LineWidth=1;
hold on
% UEM
h4=loglog(x_all, meanDx_UEM1,'-*');
h4.Color='b'; h4.LineWidth=1;
grid on
% add error bar
errorbar(x_all,meanDx_MSD1,stdx_MSD1,'r+'); hold on
errorbar(x_all,meanDx_MSD1,stdx_MSD1,'g+'); hold on
errorbar(x_all,meanDx_SMC1,stdx_SMC1,'c+'); hold on
errorbar(x_all,meanDx_UEM1,stdx_UEM1,'b+'); hold on
xlim([0.001 10]);

xlabel('real $D_x$ [$\mu m^2/s$]','FontSize',32,'Interpreter','latex');
xticks([0.001,0.01,0.1,1,10]);
xticklabels({'0.001','0.01','0.1','1','10'});
ylabel('Log$_{10}$(mean Est.Dx) [$\mu m^2/s$]','FontSize',32,'Interpreter','latex');
legend({'GF-MSD','GF-MLE','SMC$^{500}$','U-EM','U-EM$^*$'},'Interpreter','latex');
set(gca,'FontSize',24,'TicklabelInterpreter','latex');

