clc;clear all

% boxplot of Dx 
load('Dx_all5.mat'); % Dx_all
figure
subplot(1,2,1);
f1=boxplot(Dx_all5);
set(f1,'LineWidth',1);
hold on
h1=refline(0,0.005);
h1.LineWidth=1.5;
% h1.Color='k';
xticklabels({'MLE$_{sCMOS+}$','SMC$^{100}$','SMC$^{500}$','SMC$^{1000}$','U-EM'});
yticks([0.005 0.01 0.015]);
yticklabels({'0.005','0.01','0.015'});
xlabel('No. EM iteration', 'FontSize', 20, 'Interpreter','latex');
ylabel('Estimated Dx ($\mu m^2/s$)', 'FontSize', 20, 'Interpreter','latex');
legend({'real Dx'}, 'FontSize', 20, 'LineWidth',1, 'Interpreter','latex');
ax=gca;
ax.XAxis.LineWidth = 1; ax.XAxis.FontSize=18;
ax.YAxis.LineWidth = 1; ax.YAxis.FontSize=18;
set(gca,'TicklabelInterpreter','latex');

% boxplot of  RMSExy
subplot(1,2,2);
load('RMSEx_all.mat');
f3=boxplot(RMSEx_all.*1000);
set(f3,'LineWidth',1);
hold on
xticklabels({'MLE$_{sCMOS+}$','SMC$^{100}$','SMC$^{500}$','SMC$^{1000}$','U-EM'});
xlabel('', 'FontSize', 20, 'Interpreter','latex');
ylabel('RMSE (nm)', 'FontSize', 20, 'Interpreter','latex');
ay=gca;
ay.XAxis.LineWidth = 1; ay.XAxis.FontSize=18;
ay.YAxis.LineWidth = 1; ay.YAxis.FontSize=18;
set(gca,'TicklabelInterpreter','latex');

