% This is to plot localization performance by different SPT methods at a
% low signal level, i.e., G=10, Nbgd=10.
clc;clear all

Trial=1; % The plot is based on dataset No.1
% obtain the ground truth
addpath('./GT_N10G10/');
load('x_ground_truth.mat');
real_x=x_ground_truth(Trial,:);

% obtain estimated localization by MLE_{sCMOS}
addpath('./MLEscmos/');
load('x_all.mat'); 
x_MLEs=x_all(Trial,:);
% obtain estimated localization by SMC100
addpath('./SMC100/');
load(['est_x_Trial' num2str(Trial) '.mat']);
x_SMC100=est_x;
% obtain estimated localization by SMC500
addpath('./SMC500/');
load(['est_x_Trial' num2str(Trial) '.mat']);
x_SMC500=est_x(Trial,:);
% obtain estimated localization by SMC1000
addpath('./SMC1000/');
load(['est_x_Trial' num2str(Trial) '.mat']);
x_SMC1000=est_x(Trial,:);
% obtain estimated localization by UEM
addpath('./UEM/');
load('est_x.mat');
x_uem=est_x;

% ----------------- figure in x position ----------------- % 
figure
plot(real_x,'r-','LineWidth',2);
hold on
plot(x_MLEs,'c--','LineWidth',2);
hold on
plot(x_SMC100,'k--','LineWidth',2);
hold on
plot(x_SMC500,'y--','LineWidth',2);
hold on
plot(x_SMC1000,'b--','LineWidth',2);
hold on
plot(x_uem,'g--','LineWidth',2);
hold on
xlim([1 100]);
legend({'real x','MLE$_{sCMOS}$','SMC-EM$^{100}$','SMC-EM$^{500}$','SMC-EM$^{1000}$','U-EM'},'Interpreter','latex','FontSize',18);
xlabel('Timestep','Interpreter','latex','FontSize',24);
ylabel('x position ($\mu m$)','Interpreter','latex','FontSize',24);
set(gca,'FontSize',18)

