figure

subplot(2,2,1);
%plot success map of Est.Dx by MSD
numNbgd=15;
numG=19;
load('success_rate_MSD.mat');
x=1:numNbgd;
y=zeros(1,numG);
y(1,1:10)=100:-10:10;
y(1,11:19)=9:-1:1;
[X,Y]=meshgrid(x,y);
[aa1,aa2]=contourf(X,Y,success_rate);
clabel(aa1,aa2,'FontSize',16,'Interpreter','latex');  
aa2.LevelList=[0 0.05 0.1 0.15 0.2 0.25 0.3 0.35];
% set colorbar in 100%
h=colorbar;
h.Ticks=[0:0.1:1];
h.TickLabels={'0','10','20','30','40','50','60','70','80','90','100'};
set(h,'TickLabelInterpreter','latex');
set(h,'FontSize', 24);
h.Label.Interpreter='latex';

lim = caxis;
lowerbound_bar=0.0;
upperbound_bar=1.0;
caxis([lowerbound_bar upperbound_bar]);  
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',24);
xticks([1:1:numNbgd]);
rec_yticks=zeros(1,19);
rec_yticks(1,1:10)=1:1:10; rec_yticks(1,11:19)=20:10:100;
yticks(rec_yticks);
yticklabels({'1', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '10',' ',' ',' ',' ',' ',' ',' ',' ','100'});
xlabel('N$_{bgd}$','Interpreter','latex');
ylabel('G','Interpreter','latex');
ylim([1,100]);
set(gca,'YScale','log','TickLabelInterpreter','latex');
set(gca, 'TickDir', 'out');  
box('off');

% add two straight line of SBR=1 and 10
hold on
x1=1:1:15; y1=1:1:15;
plot(x1,y1,'w-.','LineWidth',1.5);
hold on
x2=1:1:15; y2=10:10:150;
plot(x2,y2,'w-.','LineWidth',1.5);
hold on


subplot(2,2,2);
%plot success map of Est.Dx by MLE
numNbgd=15;
numG=19;
load('success_rate_MLE.mat');
x=1:numNbgd;
y=zeros(1,numG);
y(1,1:10)=100:-10:10;
y(1,11:19)=9:-1:1;
[X,Y]=meshgrid(x,y);
[aa1,aa2]=contourf(X,Y,success_rate);
clabel(aa1,aa2,'FontSize',16,'Interpreter','latex'); 
aa2.LevelList=[0 0.05 0.2 0.35 0.5 0.65 0.8 0.95];
% set colorbar in 100%
h=colorbar;
h.Ticks=[0:0.1:1];
h.TickLabels={'0','10','20','30','40','50','60','70','80','90','100'};
set(h,'TickLabelInterpreter','latex');
set(h,'FontSize', 24);
h.Label.Interpreter='latex';

lim = caxis;
lowerbound_bar=0.0;
upperbound_bar=1.0;
caxis([lowerbound_bar upperbound_bar]);  
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',24);
xticks([1:1:numNbgd]);
rec_yticks=zeros(1,19);
rec_yticks(1,1:10)=1:1:10; rec_yticks(1,11:19)=20:10:100;
yticks(rec_yticks);
yticklabels({'1', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '10',' ',' ',' ',' ',' ',' ',' ',' ','100'});
xlabel('N$_{bgd}$','Interpreter','latex');
ylabel('G','Interpreter','latex');
ylim([1,100]);
set(gca,'YScale','log','TickLabelInterpreter','latex');
set(gca, 'TickDir', 'out');  
box('off');

% add two straight line of SBR=1 and 10
hold on
x1=1:1:15; y1=1:1:15;
plot(x1,y1,'w-.','LineWidth',1.5);
hold on
x2=1:1:15; y2=10:10:150;
plot(x2,y2,'w-.','LineWidth',1.5);
hold on


subplot(2,2,3)
% plot success map of Est.Dx by SMC500-EM
numNbgd=15;
numG=19;
load('success_rate_SMC500.mat');

x=1:numNbgd;
y=zeros(1,numG);
y(1,1:10)=100:-10:10;
y(1,11:19)=9:-1:1;
[X,Y]=meshgrid(x,y);
[aa1,aa2]=contourf(X,Y,success_rate);
clabel(aa1,aa2,'FontSize',16,'Interpreter','latex'); % show probability value for every boundary line.
aa2.LevelList=[0 0.05 0.2 0.35 0.5 0.65 0.8 0.95]
colorbar
% set colorbar in 100%
h=colorbar;
h.Ticks=[0:0.1:1];
h.TickLabels={'0','10','20','30','40','50','60','70','80','90','100'};
set(h,'TickLabelInterpreter','latex');
set(h,'FontSize', 24);
h.Label.Interpreter='latex';
lim = caxis;
lowerbound_bar=0.0;
upperbound_bar=1.0;
caxis([lowerbound_bar upperbound_bar]); % scale all colorbar in the same range of [0,1]
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',24);
xticks([1:1:numNbgd]);
rec_yticks=zeros(1,19);
rec_yticks(1,1:10)=1:1:10; rec_yticks(1,11:19)=20:10:100;
yticks(rec_yticks);
yticklabels({'1', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '10',' ',' ',' ',' ',' ',' ',' ',' ','100'});
xlabel('N$_{bgd}$','Interpreter','latex');
ylabel('G','Interpreter','latex');
ylim([1,100]);
set(gca,'YScale','log','TickLabelInterpreter','latex');
set(gca, 'TickDir', 'out'); % get minor ticks pointing outside the graph
box('off');

% add two straight line of SBR=1 and 10
hold on
x1=1:1:15; y1=1:1:15;
plot(x1,y1,'w-.','LineWidth',1.5);
hold on
x2=1:1:15; y2=10:10:150;
plot(x2,y2,'w-.','LineWidth',1.5);
hold on
save success_rate_SMC1000.mat success_rate

subplot(2,2,4)
% plot success map of Est.Dx by SMC1000
numNbgd=15;
numG=19;
success_rate=zeros(numG,numNbgd);
num_trials=100;
lowerbound=0.005*0.75;
upperbound=0.005*1.25;

load('success_rate_SMC500.mat');
x=1:numNbgd;
y=zeros(1,numG);
y(1,1:10)=100:-10:10;
y(1,11:19)=9:-1:1;
[X,Y]=meshgrid(x,y);
[aa1,aa2]=contourf(X,Y,success_rate);
clabel(aa1,aa2,'FontSize',16,'Interpreter','latex'); 
aa2.LevelList=[0 0.05 0.2 0.35 0.5 0.65 0.8 0.95]
colorbar
% set colorbar in 100%
h=colorbar;
h.Ticks=[0:0.1:1];
h.TickLabels={'0','10','20','30','40','50','60','70','80','90','100'};
set(h,'TickLabelInterpreter','latex');
set(h,'FontSize', 24);
h.Label.Interpreter='latex';
lim = caxis;
lowerbound_bar=0.0;
upperbound_bar=1.0;
caxis([lowerbound_bar upperbound_bar]); 
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',24);
xticks([1:1:numNbgd]);
rec_yticks=zeros(1,19);
rec_yticks(1,1:10)=1:1:10; rec_yticks(1,11:19)=20:10:100;
yticks(rec_yticks);
yticklabels({'1', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', '10',' ',' ',' ',' ',' ',' ',' ',' ','100'});
xlabel('N$_{bgd}$','Interpreter','latex');
ylabel('G','Interpreter','latex');
ylim([1,100]);
set(gca,'YScale','log','TickLabelInterpreter','latex');
set(gca, 'TickDir', 'out');
box('off');

% add two straight line of SBR=1 and 10
hold on
x1=1:1:15; y1=1:1:15;
plot(x1,y1,'w-.','LineWidth',1.5);
hold on
x2=1:1:15; y2=10:10:150;
plot(x2,y2,'w-.','LineWidth',1.5);
hold on
