%% Fixed G/Nbgd=1, Nbgd=1,2,3,...,10
% import Dxy by SMC-EM
load('./SMC_EM/Dx_ratio1.mat');
Dx_SMC=Dx_ratio1;
% import Dxy by MLE
load('./MLE/Dx_ratio1.mat');
Dx_MLE=Dx_ratio1;
% import Dxy by MSD
load('./MSD/Dx_ratio1.mat');
Dx_MSD=Dx_ratio1;
% import Dxy by UEM
load('./U_EM/Dx_ratio1.mat');
Dx_UEM=Dx_ratio1;

% compute 25% quantile
quantileA_Dx_SMC=quantile(Dx_SMC,0.25);
quantileA_Dx_MLE=quantile(Dx_MLE,0.25);
quantileA_Dx_MSD=quantile(Dx_MSD,0.25);
quantileA_Dx_UEM=quantile(Dx_UEM,0.25);

% compute 75% quantile
quantileB_Dx_SMC=quantile(Dx_SMC,0.75);
quantileB_Dx_MLE=quantile(Dx_MLE,0.75);
quantileB_Dx_MSD=quantile(Dx_MSD,0.75);
quantileB_Dx_UEM=quantile(Dx_UEM,0.75);


for i=1:10
   tmp=Dx_MSD(:,i); 
   tmpDx_MSD(:,i)=tmp(tmp>=quantileA_Dx_MSD(1,i) & tmp<=quantileB_Dx_MSD(1,i));
   tmp=Dx_MLE(:,i); 
   tmpDx_MLE(:,i)=tmp(tmp>=quantileA_Dx_MLE(1,i) & tmp<=quantileB_Dx_MLE(1,i));
   tmp=Dx_SMC(:,i); 
   tmpDx_SMC(:,i)=tmp(tmp>=quantileA_Dx_SMC(1,i) & tmp<=quantileB_Dx_SMC(1,i));
   tmp=Dx_UEM(:,i); 
   tmpDx_UEM(:,i)=tmp(tmp>=quantileA_Dx_UEM(1,i) & tmp<=quantileB_Dx_UEM(1,i));
end
estDx_MSD=tmpDx_MSD(1:50,1:10);
estDx_MLE=tmpDx_MLE(1:50,1:10);
estDx_SMC=tmpDx_SMC(1:50,1:10);
estDx_UEM=tmpDx_UEM(1:50,1:10);

% compute median
median_Dx_SMC=median(estDx_SMC);
median_Dx_MLE=median(estDx_MLE);
median_Dx_MSD=median(estDx_MSD);
median_Dx_UEM=median(estDx_UEM);
% compute mean
mean_Dx_SMC=mean(estDx_SMC);
mean_Dx_MLE=mean(estDx_MLE);
mean_Dx_MSD=mean(estDx_MSD);
mean_Dx_UEM=mean(estDx_UEM);



subplot(1,2,1)
% plot in x position
xlimit=1:1:10;
% Dx of MLE - s1,h1
horizon_ForFill=[quantileB_Dx_MLE,fliplr(quantileA_Dx_MLE)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X1=[xlimit,fliplr(xlimit)];
XX1=[quantileA_Dx_MLE,fliplr(quantileB_Dx_MLE)];
s1=fill(X1, XX1,'r','LineStyle','none');
alpha(s1,.25)
hold on
h1=plot(median_Dx_MLE,'r-*');
hold on
p1=plot(mean_Dx_MLE,'r--');
hold on

% Dx of MSD - s2,h2
horizon_ForFill=[quantileB_Dx_MSD,fliplr(quantileA_Dx_MSD)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X2=[xlimit,fliplr(xlimit)];
XX2=[quantileA_Dx_MSD,fliplr(quantileB_Dx_MSD)];
s2=fill(X2, XX2,'g','LineStyle','none');
alpha(s2,.25)
hold on
h2=plot(median_Dx_MSD,'g-*');
hold on
p2=plot(mean_Dx_MSD,'g--');
hold on

% Dx of UEM - s3,h3
horizon_ForFill=[quantileB_Dx_UEM,fliplr(quantileA_Dx_UEM)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X3=[xlimit,fliplr(xlimit)];
XX3=[quantileA_Dx_UEM,fliplr(quantileB_Dx_UEM)];
s3=fill(X3, XX3,'b','LineStyle','none');
alpha(s3,.25)
hold on
h3=plot(median_Dx_UEM,'b-*');
hold on
p3=plot(mean_Dx_UEM,'b--');
hold on

% Dx of SMC - s4,h4
horizon_ForFill=[quantileB_Dx_SMC,fliplr(quantileA_Dx_SMC)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X4=[xlimit,fliplr(xlimit)];
XX4=[quantileA_Dx_SMC,fliplr(quantileB_Dx_SMC)];
s4=fill(X4, XX4,'c','LineStyle','none');
alpha(s4,.25)
hold on
h4=plot(median_Dx_SMC,'c-*');
hold on
p4=plot(mean_Dx_SMC,'c--');
hold on
refline(0,0.005);
hold on
ylim([0 100]);
set(0,'defaultTextInterpreter','latex');
set(gca,'fontSize',18);
set(gca,'XLim',[1 10])
set(h1,'linewidth',2);
set(h2,'linewidth',2);
set(h3,'linewidth',2);
set(h4,'linewidth',2);
set(p1,'linewidth',2);
set(p2,'linewidth',2);
set(p3,'linewidth',2);
set(p4,'linewidth',2);

xticks([1:1:10]);
xlabel('N$_{bgd}$ (fixed G/N$_{bgd}$=1)','Interpreter','latex');
ylabel('Est.Dx ($/mu m^2/s$)','Interpreter','latex');
ld=legend({'GF-MLE$^{\#}$','GF-MLE$^{*}$','GF-MLE$^{+}$','GF-MSD$^{\#}$','GF-MSD$^{*}$','GF-MSD$^{+}$','U-EM$^{\#}$','U-EM$^{*}$','U-EM$^{+}$','SMC-EM$^{\#}$','SMC-EM$^{*}$','SMC-EM$^{+}$','real Dx'},'Interpreter','latex');
ld.FontSize=18;
ylim([0,15.5]);

subplot(1,2,2)
xlimit=3:1:10;

% Dx of MLE - s1,h1
horizon_ForFill=[quantileB_Dx_MLE(1,3:10),fliplr(quantileA_Dx_MLE(1,3:10))]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X1=[xlimit,fliplr(xlimit)];
XX1=[quantileA_Dx_MLE(1,3:10),fliplr(quantileB_Dx_MLE(1,3:10))];
s1=fill(X1, XX1,'r','LineStyle','none');
alpha(s1,.25)
hold on
h1=plot(median_Dx_MLE,'r-*');
hold on
p1=plot(mean_Dx_MLE,'r--');
hold on

% Dx of UEM - s3,h3
horizon_ForFill=[quantileB_Dx_UEM(1,3:10),fliplr(quantileA_Dx_UEM(1,3:10))]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X3=[xlimit,fliplr(xlimit)];
XX3=[quantileA_Dx_UEM(1,3:10),fliplr(quantileB_Dx_UEM(1,3:10))];
s3=fill(X3, XX3,'b','LineStyle','none');
alpha(s3,.25)
hold on
h3=plot(median_Dx_UEM(1,1:10),'b-*');
hold on
p3=plot(mean_Dx_UEM(1,1:10),'b--');
hold on

% Dx of SMC - s4,h4
horizon_ForFill=[quantileB_Dx_SMC(1,3:10),fliplr(quantileA_Dx_SMC(1,3:10))]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X4=[xlimit,fliplr(xlimit)];
XX4=[quantileA_Dx_SMC(1,3:10),fliplr(quantileB_Dx_SMC(1,3:10))];
s4=fill(X4, XX4,'c','LineStyle','none');
alpha(s4,.25)
hold on
h4=plot(median_Dx_SMC(1,1:10),'c-*');
hold on
p4=plot(mean_Dx_SMC(1,1:10),'c--');
hold on
refline(0,0.005);
hold on

set(0,'defaultTextInterpreter','latex');
set(gca,'fontSize',18);
set(gca,'XLim',[3 10]);
ylim([0 0.01]);
set(h1,'linewidth',2);
set(h3,'linewidth',2);
set(h4,'linewidth',2);
set(p1,'linewidth',2);
set(p3,'linewidth',2);
set(p4,'linewidth',2);

xticks([3:1:10]);
xlabel('N$_{bgd}$ (fixed G/N$_{bgd}=1$)','Interpreter','latex');
ylabel('Est.Dx ($/mu m^2/s$)','Interpreter','latex');

