%% Fixed G/Nbgd=1, Nbgd=1,2,3,...,10
clc;clear all

% import RMSExy by GF
% GF is for both MLE and MSD.
load('./GF/rmse_x_ratio1.mat');
RMSEx_GF=rmse_x_ratio1.*1000; % unit - nm
% import RMSExy by UEM
load('./U_EM/rmse_x_ratio1.mat');
RMSEx_UEM=rmse_x_ratio1.*1000;
% import RMSExy by SMC
load('./SMC_EM/rmse_x_ratio1.mat');
RMSEx_SMC=rmse_x_ratio1.*1000;


% compute 25% quantile
quantileA_RMSEx_SMC=quantile(RMSEx_SMC,0.25);
quantileA_RMSEx_GF=quantile(RMSEx_GF,0.25);
quantileA_RMSEx_UEM=quantile(RMSEx_UEM,0.25);

% compute 75% quantile
quantileB_RMSEx_SMC=quantile(RMSEx_SMC,0.75);
quantileB_RMSEx_GF=quantile(RMSEx_GF,0.75);
quantileB_RMSEx_UEM=quantile(RMSEx_UEM,0.75);

for i=1:10
   tmp=RMSEx_GF(:,i); 
   tmpRMSEx_GF(:,i)=tmp(tmp>=quantileA_RMSEx_GF(1,i) & tmp<=quantileB_RMSEx_GF(1,i));
   tmp=RMSEx_SMC(:,i); 
   tmpRMSEx_SMC(:,i)=tmp(tmp>=quantileA_RMSEx_SMC(1,i) & tmp<=quantileB_RMSEx_SMC(1,i));
   tmp=RMSEx_UEM(:,i); 
   tmpRMSEx_UEM(:,i)=tmp(tmp>=quantileA_RMSEx_UEM(1,i) & tmp<=quantileB_RMSEx_UEM(1,i));
end
estRMSEx_GF=tmpRMSEx_GF(1:50,1:10);
estRMSEx_SMC=tmpRMSEx_SMC(1:50,1:10);
estRMSEx_UEM=tmpRMSEx_UEM(1:50,1:10);

% compute median
median_RMSEx_SMC=median(estRMSEx_SMC);
median_RMSEx_GF=median(estRMSEx_GF);
median_RMSEx_UEM=median(estRMSEx_UEM);
% compute mean
mean_RMSEx_SMC=mean(estRMSEx_SMC);
mean_RMSEx_GF=mean(estRMSEx_GF);
mean_RMSEx_UEM=mean(estRMSEx_UEM);


figure

xlimit=1:1:10;
% RMSEx of GF - s2,h2
horizon_ForFill=[quantileB_RMSEx_GF,fliplr(quantileA_RMSEx_GF)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X2=[xlimit,fliplr(xlimit)];
XX2=[quantileA_RMSEx_GF,fliplr(quantileB_RMSEx_GF)];
s2=fill(X2, XX2,'g','LineStyle','none');
alpha(s2,.25)
hold on
h2=plot(median_RMSEx_GF,'g-*');
hold on
p2=plot(mean_RMSEx_GF,'g--');
hold on

% RMSEx of UEM - s3,h3
horizon_ForFill=[quantileB_RMSEx_UEM,fliplr(quantileA_RMSEx_UEM)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X3=[xlimit,fliplr(xlimit)];
XX3=[quantileA_RMSEx_UEM,fliplr(quantileB_RMSEx_UEM)];
s3=fill(X3, XX3,'b','LineStyle','none');
alpha(s3,.25)
hold on
h3=plot(median_RMSEx_UEM,'b-*');
hold on
p3=plot(mean_RMSEx_UEM,'b--');
hold on

% RMSEx of SMC - s4,h4
horizon_ForFill=[quantileB_RMSEx_SMC,fliplr(quantileA_RMSEx_SMC)]; 
vertical_ForFill=[xlimit,fliplr(xlimit)];
X4=[xlimit,fliplr(xlimit)];
XX4=[quantileA_RMSEx_SMC,fliplr(quantileB_RMSEx_SMC)];
s4=fill(X4, XX4,'c','LineStyle','none');
alpha(s4,.25)
hold on
h4=plot(median_RMSEx_SMC,'c-*');
hold on
p4=plot(mean_RMSEx_SMC,'c--');
hold on

set(0,'defaultTextInterpreter','latex');
set(gca,'fontSize',18);
set(gca,'XLim',[1 10])
set(h2,'linewidth',2);
set(h3,'linewidth',2);
set(h4,'linewidth',2);
set(p2,'linewidth',2);
set(p3,'linewidth',2);
set(p4,'linewidth',2);

xticks([1:1:10]);
xlabel('N$_{bgd}$ (fixed G/N$_{bgd}$=1)','Interpreter','latex');
ylabel('RMSEx ($\mu m$)','Interpreter','latex');
ld=legend({'GF-MLE/MSD$^{\#}$','U-EM$^{\#}$','U-EM$^{*}$','U-EM$^{+}$','SMC-EM$^{\#}$','SMC-EM$^{*}$','SMC-EM$^{+}$'},'Interpreter','latex');
ld.FontSize=18;


